[Contacts]The "Add as Favorite" option in Contacts app cannot work after user taps it more than twice.

VERIFIED FIXED in Firefox OS master

Status

Firefox OS
Gaia::Contacts
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: helen(leave from Mozilla), Assigned: ferjm)

Tracking

({regression})

unspecified
FxOS-S6 (04Sep)
ARM
Gonk (Firefox OS)
regression

Firefox Tracking Flags

(blocking-b2g:2.5+, b2g-v2.2 unaffected, b2g-master verified)

Details

(Whiteboard: [2.5-aries-test-run-1])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8652244 [details]
logcat1736.txt

[1.Description]:
[Aries KK v2.5][Flame v2.5][Contact]In the Contacts app,after tapping the "Add as Favorite" option more than twice, it cannot work.

Occur Time: 17:36
Attachment: logcat1736.txt & AriesKK 2.5.3gp

[2.Testing Steps]: 
1.Launch Contacts.
2.Tap cross icon at the top right corner to create a new contact.
3.Tap the contact, tap the"Add as Favorite" more than twice.

[3.Expected Result]: 
3.The "Add as Favorite" option should be open.

[4.Actual Result]: 
3.At the third time, user cannot open the "Add as Favorite" option.

[5.Reproduction build]: 
Device: Arise KK 2.5 (Affected)
Build ID               20150824124704
Gaia Revision          d7fb5717d3e0153ac64af2c0d5c11079846d81c3
Gaia Date              2015-08-24 10:07:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/ba43a48d3c528cc956335793e02504e5ca2c149f
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150824.122007
Firmware Date          Mon Aug 24 12:20:15 UTC 2015
Bootloader             s1

Device: Flame KK 2.5 (Affected)
Build ID               20150824150208
Gaia Revision          d7fb5717d3e0153ac64af2c0d5c11079846d81c3
Gaia Date              2015-08-24 10:07:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/ba43a48d3c528cc956335793e02504e5ca2c149f
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150824.182403
Firmware Date          Mon Aug 24 18:24:15 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK 2.2 (Unaffected)
Build ID               20150824032503
Gaia Revision          335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gaia Date              2015-08-14 19:06:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/1effc4cb6414
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150824.065639
Firmware Date          Mon Aug 24 06:56:50 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Comment 1

3 years ago
Created attachment 8652245 [details]
AriesKK 2.5.3gp
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → unaffected
status-b2g-master: --- → affected
[Blocking Requested - why for this release]: Functional regression.
blocking-b2g: --- → 2.5?
(Reporter)

Updated

3 years ago
Keywords: regression
Comms triage: Basic use case broken.
blocking-b2g: 2.5? → 2.5+
(Assignee)

Updated

3 years ago
Assignee: nobody → ferjmoreno
Status: NEW → ASSIGNED
Created attachment 8653924 [details] [review]
[gaia] ferjm:bug1198180.favoritecontacts > mozilla-b2g:master
(Assignee)

Updated

3 years ago
Attachment #8653924 - Flags: review?(borja.bugzilla)
Attachment #8653924 - Flags: review?(borja.bugzilla) → review+
(Assignee)

Comment 5

3 years ago
https://github.com/mozilla-b2g/gaia/commit/df646da1c97c2b927db227867fca8272837319fc
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
status-b2g-master: affected → fixed
Target Milestone: --- → FxOS-S6 (04Sep)
Hi Helen,

Please help to verify this bug, thanks.
Flags: needinfo?(hedan)
(Reporter)

Comment 7

3 years ago
This bug has been verified as "pass" on latest build of Flame KK v2.5 and Aries KK 2.5 by the STR in Comment 0.

Results: 
The "Add as Favorite" option of a contact in Contacts app can still work after user taps it more than twice.

Reproduce rate: 0/5

Device: Aries KK 2.5 (Pass) 
Build ID               20150905112803
Gaia Revision          03be7d8918bed58c92a40bba211bbbc97a0e516a
Gaia Date              2015-09-04 11:56:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/139446daedab3d00b9f0faba25e1e82191c8c8d1
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150905.105729
Firmware Date          Sat Sep  5 10:57:37 UTC 2015
Bootloader             s1

Device: Flame KK 2.5 (Pass)
Build ID               20150905150219
Gaia Revision          03be7d8918bed58c92a40bba211bbbc97a0e516a
Gaia Date              2015-09-04 11:56:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/139446daedab3d00b9f0faba25e1e82191c8c8d1
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150905.183746
Firmware Date          Sat Sep  5 18:38:03 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Status: RESOLVED → VERIFIED
QA Whiteboard: [MGSEI-Triage+]
status-b2g-master: fixed → verified
(Reporter)

Updated

3 years ago
Flags: needinfo?(hedan)
You need to log in before you can comment on or make changes to this bug.